-- ============================================================
-- Table: CODRECINSS
-- Codigos Receita Contribuicao Previdenciaria
-- ============================================================
CREATE TABLE CODRECINSS
(
	CDCODRECINSS	VARCHAR2(6)	    NOT NULL,
    DSCODRECINSS	VARCHAR2(1000)  NOT NULL, 
	IDATIVO 		VARCHAR2(1)     DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_CODRECINSS CHECK (IDATIVO IN ('S','N')), 
	NRORG			NUMBER			NOT NULL, 
    DTINCLUSAO		DATE			DEFAULT SYSDATE NOT NULL, 
	DTULTATU		DATE, 
	NRORGINCLUSAO	NUMBER			DEFAULT 1, 
	CDOPERINCLUSAO	VARCHAR2(12)	DEFAULT '1', 
	NRORGULTATU 	NUMBER			DEFAULT 1, 
	CDOPERULTATU	VARCHAR2(12)	DEFAULT '1', 
	CONSTRAINT PK_CODRECINSS PRIMARY KEY (CDCODRECINSS)
);

-- ============================================================
-- Table: CODRECIRRF
-- Codigos Receita Imposto de Renda
-- ============================================================
CREATE TABLE CODRECIRRF
(
	CDCODRECIRRF	VARCHAR2(6)	    NOT NULL,
    DSCODRECIRRF	VARCHAR2(1000)  NOT NULL, 
	IDATIVO 		VARCHAR2(1)     DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_CODRECIRRF CHECK (IDATIVO IN ('S','N')), 
	NRORG			NUMBER			NOT NULL, 
    DTINCLUSAO		DATE			DEFAULT SYSDATE NOT NULL, 
	DTULTATU		DATE, 
	NRORGINCLUSAO	NUMBER			DEFAULT 1, 
	CDOPERINCLUSAO	VARCHAR2(12)	DEFAULT '1', 
	NRORGULTATU 	NUMBER			DEFAULT 1, 
	CDOPERULTATU	VARCHAR2(12)	DEFAULT '1', 
	CONSTRAINT PK_CODRECIRRF PRIMARY KEY (CDCODRECIRRF)
);

-- ============================================================
-- Table: GPE_INSSPROCTRAB
-- Codigos Receita Contribuicao Previdenciaria do processo trabalhista
-- ============================================================
CREATE TABLE GPE_INSSPROCTRAB
(
	NRORG			NUMBER			NOT NULL, 
	NRINSSPROCTRAB	NUMBER			NOT NULL,
	NRPROCESSTRAB	NUMBER			NOT NULL,
	NRVINCULOM		NUMBER			NOT NULL, 
	DTPERREF		DATE			NOT NULL, 
	CDCODRECINSS	VARCHAR2(6)	    NOT NULL,
	VRCODRECINSS	FLOAT		    NOT NULL,
	IDATIVO 		VARCHAR2(1)     DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_INSSPROTRA CHECK (IDATIVO IN ('S','N')), 
	DTINCLUSAO		DATE DEFAULT SYSDATE NOT NULL, 
	DTULTATU		DATE, 
	NRORGINCLUSAO	NUMBER DEFAULT 1, 
	CDOPERINCLUSAO	VARCHAR2(12) DEFAULT '1', 
	NRORGULTATU 	NUMBER DEFAULT 1, 
	CDOPERULTATU	VARCHAR2(12) DEFAULT '1', 
	CONSTRAINT PK_GPE_INSSPROCTRAB PRIMARY KEY (NRORG, NRINSSPROCTRAB),
	CONSTRAINT FK_INSSPROTRA_PROCTRAB FOREIGN KEY (NRORG, NRPROCESSTRAB)
		REFERENCES GPE_PROCESSTRAB (NRORG, NRPROCESSTRAB),
	CONSTRAINT FK_INSSPROTRA_VINC FOREIGN KEY (NRORG, NRVINCULOM)
		REFERENCES GPE_VINCULOM (NRORG, NRVINCULOM)
);

-- ============================================================
-- Table: GPE_IRRFPROCTRAB
-- Codigos Receita Imposto de Renda do processo trabalhista
-- ============================================================
CREATE TABLE GPE_IRRFPROCTRAB
(
	NRORG			NUMBER			NOT NULL, 
	NRIRRFPROCTRAB	NUMBER			NOT NULL,
	NRPROCESSTRAB	NUMBER			NOT NULL,
	NRVINCULOM		NUMBER			NOT NULL, 
	CDCODRECIRRF	VARCHAR2(6)	    NOT NULL,
	VRIRRFMENSAL	FLOAT		    NOT NULL,
	VRIRRF13		FLOAT		    NULL,
	VRRENDIMENTO	FLOAT		    NULL,
	VRRENDIMENTO13	FLOAT		    NULL,
	DSRRA			VARCHAR2(100)	NULL,
	NRMESESRRA		NUMBER			NULL,
	IDATIVO 		VARCHAR2(1)     DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_IRRFPROTRA CHECK (IDATIVO IN ('S','N')), 
	DTINCLUSAO		DATE DEFAULT SYSDATE NOT NULL, 
	DTULTATU		DATE, 
	NRORGINCLUSAO	NUMBER DEFAULT 1, 
	CDOPERINCLUSAO	VARCHAR2(12) DEFAULT '1', 
	NRORGULTATU 	NUMBER DEFAULT 1, 
	CDOPERULTATU	VARCHAR2(12) DEFAULT '1', 
	CONSTRAINT PK_GPE_IRRFPROCTRAB PRIMARY KEY (NRORG, NRIRRFPROCTRAB),
	CONSTRAINT FK_IRRFPROTRA_PROCTRAB FOREIGN KEY (NRORG, NRPROCESSTRAB)
		REFERENCES GPE_PROCESSTRAB (NRORG, NRPROCESSTRAB),
	CONSTRAINT FK_IRRFPROTRA_VINC FOREIGN KEY (NRORG, NRVINCULOM)
		REFERENCES GPE_VINCULOM (NRORG, NRVINCULOM)
);

-- ============================================================
-- Insert: CODRECINSS
-- ============================================================
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '113851', 'CP patronal a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '164651', 'CP GILRAT a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '114151', 'CP para financiamento de aposentadoria especial a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '113852', 'CP adicional a cargo das instituiçoes financeiras sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '113854', 'CP patronal a cargo da empresa sobre a remuneração do segurado contribuinte individual');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '114155', 'CP para financiamento de aposentadoria especial a cargo da empresa sobre a remuneração do segurado contribuinte individual');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '113855', 'CP adicional a cargo das instituiçoes financeiras sobre a remuneração do segurado contribuinte individual');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '113858', 'CP patronal a cargo do empregador doméstico sobre a remuneração do segurado empregado doméstico');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '164659', 'CP GILRAT a cargo do empregador doméstico sobre a remuneração do segurado empregado doméstico');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '113857', 'CP patronal a cargo do Microempreendedor - MEI sobre a remuneração do segurado empregado');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '113853', 'CP patronal a cargo da empresa SIMPLES com atividade concomitante sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '164652', 'CP GILRAT a cargo da empresa SIMPLES com atividade concomitante sobre a remuneração do segurado empregado ou trabalhador avulso	Variável');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '114152', 'CP adicional GILRAT a cargo da empresa SIMPLES com atividade concomitante sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '113856', 'CP patronal a cargo da empresa SIMPLES com atividade concomitante sobre a remuneração do segurado contribuinte individual');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '117051', 'Salário-Educação a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '117651', 'Incra a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '117652', 'Incra (FPAS 531/795/825) a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '118151', 'Senai a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '118451', 'Sesi a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '119151', 'Senac a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '119651', 'Sesc a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '120051', 'Sebrae a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '120052', 'Sebrae (FPAS 566/574/647) a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '120551', 'FDEPM a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '120951', 'Fundo Aeroviário a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '121353', 'Senar a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '121851', 'Sest a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '121852', 'Sest a cargo do trabalhador (descontado pela empresa) sobre a remuneração do segurado transportador autônomo');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '122151', 'Senat a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '122152', 'Senat a cargo do trabalhador (descontado pela empresa) sobre a remuneração do segurado transportador autônomo');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '122551', 'Sescoop a cargo da empresa sobre a remuneração do segurado empregado ou trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '108251', 'CP do segurado empregado e trabalhador avulso');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '108252', 'CP do segurado empregado contratado por curto prazo - Lei 11.718/2009');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '108253', 'CP do segurado empregado doméstico');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '108254', 'CP do segurado empregado contratado por curto prazo por empregador segurado especial - Lei 11.718/2009');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '108255', 'CP do segurado empregado contratado por empregador segurado especial');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '108257', 'CP do segurado empregado contratado por empregador MEI');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '109951', 'CP do segurado contribuinte individual - 11%');
INSERT INTO CODRECINSS (NRORG, CDCODRECINSS, DSCODRECINSS) VALUES (0, '109952', 'CP do segurado contribuinte individual - 20%');

-- ============================================================
-- Insert: CODRECIRRF
-- ============================================================
INSERT INTO CODRECIRRF (NRORG, CDCODRECIRRF, DSCODRECIRRF) VALUES (0, '593656', 'Decisão da Justiça do Trabalho');
INSERT INTO CODRECIRRF (NRORG, CDCODRECIRRF, DSCODRECIRRF) VALUES (0, '056152', 'CCP/NINTER');
INSERT INTO CODRECIRRF (NRORG, CDCODRECIRRF, DSCODRECIRRF) VALUES (0, '188951', 'RRA');